function [xx,yy,zz]=sphere(radius, orig)
// Liefert eine Punktwolke in Kugelgestalt zur Ausgabe ber den plot3d-Befehl.
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
  xx=[]; yy=[]; zz=[];

// Number of arguments in function call
  [%nargout,%nargin] = argn(0);
  if (%nargin<1) then
    error('Fehler in Funktion sphere(..). Zu wenige Argumente, mindestens der Radius sollte angegeben werden.');
    break;
  else
    if (%nargin==1) then
      orig=[0 0 0];
    end;
    if ((%nargin==2)&(size(orig)~=[1 3])) then
      error('Fehler in Funktion sphere(..). Das 2. Arguments (Origin) ist kein 3. Zeilen-Vektor');
      break;
    end;
  end;

  u = linspace(-%pi/2, %pi/2, 40);
  v = linspace(0, 2*%pi, 20);

  xx=(radius*cos(u)')*cos(v) + orig(1);
  yy=(radius*cos(u)')*sin(v) + orig(2);
  zz=(radius*sin(u)')*ones(v) + orig(3);

  //[xx,yy,zz] = eval3dp(sph, linspace(-%pi/2,%pi/2,40), linspace(0,%pi*2,20));

endfunction;
