function [z_A, theta_A, zeta_A] = par_praezession(t_j2k)
// Berechnet zu einem angegebenen Datum die 3 Präzessionswinkel z_A, theta_A und zeta_A.
//
// in :  t_j2k - Zeit in der Epoche J2000
//      [in Julianischen Jahrhunderten (von 36525 Tagen)]
//
// out:	z_A, theta_A, zeta_A - Präzessionswinkel [Dezimalgrad]
//
// Genauigkeit liegt bei ca. einer Bogensekunde. (matrixfähig)
// Copyright (c) area7/Christof Schulze  2007-2010
//--------------------------------------------------------------

zeta_A  = (2306.2181 .* t_j2k + 0.30188 .* t_j2k.^2)/3600;
z_A     = (2306.2181 .* t_j2k + 1.09468 .* t_j2k.^2)/3600;
theta_A = (2004.3109 .* t_j2k - 0.42665 .* t_j2k.^2)/3600;

endfunction;