function [trop_Kor] = tropKor(Zenit, h);
// Berechnung der trophosqhrischen Korrektur
// nach Saastamoinen, 1972 (Formel aus Bauer, 1997)
//
// (matrixfhig)
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
trop_Kor=[];

h0 = 0;			 // [m]
T0 = 293;		 // [K]
P0 = 1013;		// [mbar]
H0 = 50;			// [%]

T = T0 - 0.0065.*(h-h0);
P = P0.*(1-0.0000226.*(h-h0)).^5.225;
H = H0.*exp(-0.0006396.*(h-h0));
e = (H./100).*exp(-37.2465 + 0.213166.*T - 0.000256908.*T.^2);
a = 1.16;

trop_Kor = (0.002277./cos(Zenit)).*(P+(1255./T+0.05).*e - a.*(tan(Zenit)).^2);

endfunction;