function difference = compare_date(varargin)
// vergleicht zwei Datumsvektoren und liefert die Differenz in Sekunden
//
// in : date_1, date_2 - Zeilen- oder Spaltenvektoren mit Datumsangaben
//      
//          
// out: difference - Differenz zwischen den beiden Datumsvektoren [s]
//
//
// Copyright (c) area7/Christof Schulze  2010
//--------------------------------------------------------------
%debug=1;

// Ouput variables initialisation (not found in input variables)
difference = []; logfile = '';

// Number of arguments in function call
  [%nargout,%nargin] = argn(0);
  if ~(%nargin==2) then
    err=58;
    error('Scilib-GEO: Wrong number of input arguments:', err);
  else
    date_1 = varargin(1);
    date_2 = varargin(2);
  end;

// Größe und Ausrichtung überprüfen
  if ~and((size(date_1)==[1,6]) | (size(date_1)==[1,3])) then
    error('falsche Größe des Eingangsarguments ''date_1'' 1 x 3 oder 1 x 6 Matrix erwartet.');
  end;

  if ~and((size(date_2)==[1,6]) | (size(date_2)==[1,3])) then
    error('falsche Größe des Eingangsarguments ''date_2'' 1 x 3 oder 1 x 6 Matrix erwartet.');
  end;

  difference = (datenum(date_1)-datenum(date_2))*24*3600;
 
endfunction;