function [weeks, wsecs] = dat_cal2gpsweek(varargin)
// Gibt die GPS-Woche für das eingegebene Datum aus
// Standardepoche ist Sonntag, der 6.1.1980 um 0:00 UTC
// GPS week rollover ist Sonntag, der 22.8.1999 um 0:00 UTC
// (Zählung beginnt Sonntag 22.Aug.1999).
// Zeitangaben werden in TAI erwartet. 
//
// keine Gewähr da nicht genügend Abfragen
// Copyright (c) area7/Christof Schulze  2007-2010
// --------------------------------------------------------------
// Ouput variables initialisation (not found in input variables)
  weeks=[]; wsecs=[]; hour=0; minute=0; second=0;
  
// Number of arguments in function call
  [%nargout,%nargin] = argn(0);
  if ~(%nargin == 1 | %nargin==0| (%nargin >= 3 & %nargin <= 6))
    error('Scilib-GEO: Wrong number of input arguments');
  end;  

  if (%nargin<=1) then
    if (%nargin==0) then
      time = datevec(now())';
    else //(%nargin==1)
      time=varargin(1);
      if ((size(time,1)<3) | (size(time,1)>6)) then
        error('Scilib-GEO: Wrong size of input arguments');  
      end;
    end;
  elseif (%nargin>=3 & %nargin<=6) then
    time=[];
    for i=1:size(varargin)
      time=[time; varargin(i)];   // Fehler kommt automatisch
    end;
  end;

  sz=size(time,1);
  year = time(1,:);
  month = time(2,:);
  day = time(3,:);
  if (sz >= 4); hour = time(4,:); end
  if (sz >= 5); minute = time(5,:); end
  if (sz >= 6); second = time(6,:); end

// aktuelles Datum - Gps-Woche Anfangsdatum
// Standardepoche ist Sonntag, der 6.1.1980 um 0:00 UTC (TAI-19sec)
// GPS week rollover ist Sonntag, der 22.8.1999 um 0:00 TAI
// datenum zählt Tage seit 1.1.0000 (gegenteil datevec)
  
  weekss = (datenum(year, month, day, hour, minute, second) - datenum(1980,01,06)) / 7;
 // weekss = (datenum(year, month, day, hour, minute, second) - datenum(1999,08,22)) / 7;

  weeks = floor(weekss);

  wsecs = (weekss-weeks)*7*86400;

endfunction;