function mjd = dat_cal2mjd(varargin)
// Liefert zu einem Kalenderdatum
// ein modifiziertes julianisches Datum (mjd)
//
// in : [siehe dat_cal2jd]
//
// out:  mjd - Modifiziertes Julianisches Datum [Tag]
//
// Die Umwandlung ist exakt. (matrixfähig)
//
// Copyright (c) area7/Christof Schulze  2007-2010
// --------------------------------------------------------------
// used functions: dat_cal2jd()
// --------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
  jd=[]; hour=0; minute=0; second=0;
  
// Number of arguments in function call
  [%nargout,%nargin] = argn(0);
  if ~(%nargin == 1 | %nargin==0| (%nargin >= 3 & %nargin <= 6))
    error('Scilib-GEO: Wrong number of input arguments');
  end;  

  if (%nargin<=1) then
    if (%nargin==0) then
      time = datevec(now())';
    else //(%nargin==1)
      time=varargin(1);
      if ((size(time,1)<3) | (size(time,1)>6)) then
        error('Scilib-GEO: Wrong size of input arguments');  
      end;
    end;
  elseif (%nargin>=3 & %nargin<=6) then
    time=[];
    for i=1:size(varargin)
      time=[time; varargin(i)];   // Fehler kommt automatisch
    end;
  end;
    
// Zwischenvariable JD ist das Julianische Datum
  jd  = dat_cal2jd(time); // incl. Überprüfung der Variablen
  mjd = jd - 2400000.5;   // modifiziertes JD
  
endfunction;