function [retstr] = format_linevec(lvec, style)
// Formatiert einen Zeilenvector
//
// in : lvec  - Zeilenvector
//      style - Trennzeichen, default=', '
//          
// out: - Formatierter String
//
// Copyright (c) area7/Christof Schulze  2008
//--------------------------------------------------------------
//%debug=1;
mode(0);  // Display mode

// Ouput variables initialisation (not found in input variables)
retstr=[];

// Number of arguments in function call
[%nargout,%nargin] = argn(0);
if (%nargin<1) | (%nargin>2) then
  err=58;
  error('Wrong number of input arguments:', err);
elseif (%nargin==1) then
  style = ', ';
end;


  if (exists('%debug','local')==1) then
    mprintf('            ** format_linevec(...)\n');
    mprintf('             * style=''%s''\n',style);
  end;


sep = style;
[r, c] = size(lvec);

for i=1:r do
  for j=1:c do
    if j==1 then
      retstr(i) = string(lvec(i,j));
    else
      retstr(i) = retstr(i) + sep + string(lvec(i,j));
    end;
  end;
end;

endfunction;
