function worldmap = plotWorldmap(doplot, worldmapfile)
// liefert eine Koordinatenmatrix [b, l] der Küsteninien (4078 Punkte)
// und fügt sie in einen bereits existierenden Plot ein, oder erzeugt einen neuen.
//
// in : worldmapfile (optional) - noch nicht unterstützt
//
// out: worldmap - Koordinatenmatrix der Küstenlinien
//
// (nicht matrixfähig)
// Copyright (c) area7/Christof Schulze  2007-2010
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
worldmap=[]; 

// Number of arguments in function call
[%nargout,%nargin] = argn(0);

[t1, pathtolib] = libraryinfo('UtilGeo');
defaultFile = pathtolib+'worldmap.txt';

select %nargin
    case 0    // keine Parameter => alles ausgeben, doplot=%F
      mapFile = defaultFile;
      doplot = %F;
    case 1
      if (typeof(doplot)=="boolean") then 
        mapFile = defaultFile;
      elseif(typeof(doplot)=="string") then
        worldmapfile = doplot;
        doplot = %F;
      end;
      
    case 2
      
    else
      error('Number of parameters incorrect.');
end;
// [TODO] worldmapfile prüfen und laden

worldmap = fscanfMat(mapFile);

if doplot then
  plot2d(worldmap(:,2),worldmap(:,1),style=0);
end

endfunction;