// Test:          tests differences between atan2 and atan
//
// Dependencies:  GeometrieGeo
//
// Copyright (c) area7/Christof Schulze  2010
//--------------------------------------------------------------
// <-- JVM NOT MANDATORY -->

// relevante Werte
//      x>0, y=0  =>  0
//   I  x,y > 0   =>  0 < phi < %pi/2
//      x=0, y>0  =>  %pi/2
//  II  x<0, y>0  =>  %pi/2 < phi < %pi
//      x<0, y=0  =>  %pi
// III  x,y < 0   =>  %pi< phi < 1.5*%pi
//      x=0, y<0  =>  1.5*%pi
//  IV  x>0, y<0  =>  1.5*%pi < phi < 2*%pi

xr = [1, 1, 0,-1,-1,-1, 0, 1];
yr = [0, 1, 1, 1, 0,-1,-1,-1];

at = atan(yr,xr);
at2 = atan2(yr,xr);

if and((at==at2)==[%T %T %T %T %T %F %F %F]) then
  mprintf('Expected result, atan() works in the intervall (-pi/2, pi/2)\n use atan2().');
end;
//======================================
if ~and(at(1:5)==at2(1:5)) then pause, end // first part passed
if ~and((2*%pi+at(6:8))==at2(6:8)) then pause, end // second part passed
