function [test_results]=test_dates(verbose)
// Tests zu den verschiedenen Datumsfunktionen
//
// Voraussetzung: GEOutillib muß geladen sein
// 
// Copyright (c) area7/Christof Schulze  2010
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
tests = 0;
test_results=[];
test_results2=[];
test_results3=[];

// Number of arguments in function call
[%nargout,%nargin] = argn(0);
if (%nargin<1) then
  verbose=0;
else
  if (%nargin==1) then
    if ((verbose<0) | (verbose>2)) then
      verbose=0;
    end;
  end;
end;

// -------------   Test Start ----------------

i_values = [2007,12,14,0,0,0;
            2007,12,14,0,0,15];
    soll = [1457, 432000;
            1457, 432015];
test = 2;

// Test Kalenderdatum zu Julianisches Datum
ttitle = '(dat_cal2gpsweek(YYYY, MM, DD, hh, mm, ss.ss)) -- Kalenderdatum zu GPSweek und Secondsofweek';

  [cal_gpsw, cal_gpss] = dat_cal2gpsweek(i_values');


for i=1:test
  if (soll(i,1)<>cal_gpsw(i)) then
    // perr=[perr; "possible Parseerror ''gpsweek''"];
    mprintf('Test: ''dat_cal2gpsweek(...) %i'' gpsweek falsch\n', i);
    test_results=[test_results, 0];
  elseif abs(soll(i,2)-cal_gpss(i))>0.01 then
    // perr=[perr; "possible Parseerror ''gpssecs''"];
    mprintf('Secondsofweek differenz(%i) > 0.01 (div=%1.8f[s])\n',i, soll(i,2)-cal_gpss(i) );
    test_results=[test_results, 0];
  else
    test_results=[test_results, 1];
  end;
end;
  


return;
test = test + 1;
if or(values(:,1) == dat_cal2jd(values(:,2)', values(:,3)', values(:,4)', values(:,5)')) then
  test_results = [test_results; test, 1];
else
  test_results = [test_results; test, 0];
end;

print_test_result(ttitle, verbose, test_results);





// -------------   Test Ende ----------------
test_results = [test_results;];

// datenum  ,    calendar
// [Y,M,D,H,MI,S]=datevec(DT)

// N = datenum()         - aktuelles Datum
// N = datenum(DT)
// N = datenum(Y, M, D)
// N = datenum(Y, M, D, H, MI, S)

endfunction;