function [test_results]=test_julianisch(verbose)
// Tests zu den Funktionen mit Julianischem Datum
//
// Voraussetzung: GEOutillib mu� geladen sein
// 
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
tests = 0;
test_results=[];
test_results2=[];
test_results3=[];

// Number of arguments in function call
[%nargout,%nargin] = argn(0);
if (%nargin<1) then
  verbose=0;
else
  if (%nargin==1) then
    if ((verbose<0) | (verbose>2)) then
      verbose=0;
    end;
  end;
end;

// -------------   Test Start ----------------

//        JD       ,YYYY,MM,DD,UT1[h]
values = [2299160.5   ,1582,10,15, 0.00;
          2447893.0   ,1990, 1, 1,12.00;
          2447893.25  ,1990, 1, 1,18.00;
          2451545.0   ,2000, 1, 1,12.00;
          2453750.1875,2006, 1,14,16.5 ];
test = 1;

// Test Kalenderdatum zu Julianisches Datum
ttitle = '(dat_cal2jd(y, m, d, ut1)) -- Kalenderdatum zu Julianischem Datum';

tests = size(values,1);
for i=1:tests
  if values(i,1) == dat_cal2jd(values(i,2),values(i,3), values(i,4),values(i,5)) then
    test_results = [test_results; i, 1];
  else
    test_results = [test_results; i, 0];
  end;
  test = test + 1;
end;

test = test + 1;
if or(values(:,1) == dat_cal2jd(values(:,2)', values(:,3)', values(:,4)', values(:,5)')) then
  test_results = [test_results; test, 1];
else
  test_results = [test_results; test, 0];
end;

print_test_result(ttitle, verbose, test_results);

// Test Julianisches Datum zu Kalenderdatum
ttitle = '(dat_jd2cal(jd)) -- Julianisches Datum zu Kalenderdatum';


for i=1:tests
  [y, m, d, ut1] = dat_jd2cal(values(i,1))
  if y==values(i,2) & m==values(i,3) & d==values(i,4) & ut1==values(i,5) then
    test_results2 = [test_results2; i, 1];
  else
    test_results2 = [test_results2; i, 0];
  end;
end;

print_test_result(ttitle, verbose, test_results2);

// Test Kalenderdatum zu J2000.0 und mod. JD (2)
ttitle = '([j2k, mjd]=modJD(y, m, d, ut1)) -- Modifiziertes JD und J2000';

for i=1:tests
  [j2k,mjd] = modJD(values(i,2),values(i,3), values(i,4),values(i,5));
  if (values(i,1)-2400000.5) == mjd then
    test_results3 = [test_results3; i, 1];
  else
    test_results3 = [test_results3; i, 0];
  end;
end;

print_test_result(ttitle, verbose, test_results3);


// -------------   Test Ende ----------------
test_results = [test_results; test_results2; test_results3];

// datenum  ,    calendar
// [Y,M,D,H,MI,S]=datevec(DT)

// N = datenum()         - aktuelles Datum
// N = datenum(DT)
// N = datenum(Y, M, D)
// N = datenum(Y, M, D, H, MI, S)

endfunction
