function [test_results]=test_leapseconds(verbose)
// Tests zu den Funktionen zur Ausgabe der Schaltsekunden
//
// Voraussetzung: GEOutillib mu geladen sein
// 
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
tests = []; test_results=[];

// Number of arguments in function call
[%nargout,%nargin] = argn(0);
if (%nargin<1) then
  verbose=0;
else
  if ((verbose<0) | (verbose>2)) then
    verbose=0;
  end;
end;

// -------------   Test Start ----------------

//        JD       ,YYYY,MM,DD,UT1[h]
values = [2299160.5   ,1582,10,15, 0.00;
          2447893.0   ,1990, 1, 1,12.00;
          2447893.25  ,1990, 1, 1,18.00;
          2451545.0   ,2000, 1, 1,12.00;
          2453750.1875,2006, 1,14,16.5 ];
test = 1;

// -------------   Test Alle Schaltsekunden
if ([23,5]==size(leapseconds())) then
  test_results = [test,1];
else
  test_results = [test,0];
end;
test = test +1;
if ([23,4]== size(leapseconds('d'))) then
  test_results = [test_results;test,1];
else
  test_results = [test_results;test,0];
end;
test = test + 1;
if ([23,2]== size(leapseconds('dt'))) then
  test_results = [test_results;test,1];
else
  test_results = [test_results;test,0];
end;
test = test+1;

//try
// failure = size(leapseconds('t'));
// test_results = [test_results;test,0];
//catch
// test_results = [test_results;test,1];
//end;

// -------------   Test Ende ----------------

print_test_result('(leapseconds()) -- Gibt alle Schaltsekunden aus', verbose , test_results);

endfunction
