function [test_results]=test_leapseconds(verbose)
// Tests zu verschiedenen Transformationen aus der GEOphyslib
//
// Voraussetzung: PhysGeo mu geladen sein
// 
// Copyright (c) area7/Christof Schulze  2009
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
tests = []; test_results=[];

getf(%GEOlib_DIR+"unit tests/print_test_results.sci');

// Number of arguments in function call
[%nargout,%nargin] = argn(0);
if (%nargin<1) then
  verbose=0;
else
  if ((verbose<0) | (verbose>2)) then
    verbose=0;
  end;
end;

// -------------   Test Start ----------------

//        GK       ,R ,H , h, [m]

valuesGK=   [5334476.7743	,4468113.3259	,515.5712;   //pis3\1
	        5334476.7723	,4468113.3240	,515.5666;   //pis3\2
	        5334427.1931	,4468147.9772	,515.9984;   //pis4\1
	        5334457.1709	,4468066.2100	,515.8467;   //pis5\1
	        5334477.0100	,4468038.1079	,515.8030;   //pis6\1
	        5334528.3612	,4468057.0930	,515.3971];   //pis7\1

valuesWGS84=[4177247.3071	,855190.1588	,4728260.9493;   //pis3\1
        	4177247.3059	,855190.1566	,4728260.9446;   //pis3\2
        	4177276.6209	,855231.8120	,4728228.3086;   //pis4\1
        	4177271.4103	,855147.1082	,4728247.8982;   //pis5\1
        	4177262.6768	,855116.5215	,4728261.0007;   //pis6\1
        	4177221.1127	,855127.1022	,4728295.0368]   //pis7\1

test = 1;

// -------------   Test Alle Schaltsekunden
if ([23,5]==size(leapseconds())) then
  test_results = [test,1];
else
  test_results = [test,0];
end;


//try
// failure = size(leapseconds('t'));
// test_results = [test_results;test,0];
//catch
// test_results = [test_results;test,1];
//end;

// -------------   Test Ende ----------------

print_test_result('(leapseconds()) -- Gibt alle Schaltsekunden aus', verbose , test_results);

endfunction
